> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram Comments

> Extract Instagram comments — text, timestamps, usernames, likes, and replies — from post or reel URLs

`$1.6 / 1k comments`

Extract Instagram comments — text, timestamps, usernames, likes, and replies — from post or reel URLs

## Endpoint

`POST /api/v1/agents/instagram/comments/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · List of Instagram post/reel URLs to get comments from. E.g., [https://www.instagram.com/p/ABC123/](https://www.instagram.com/p/ABC123/).
</ParamField>

<ParamField body="maxResults" type="integer" default={100}>
  **Number** · Number of comments per post. Use 0 for all.
</ParamField>

## Response columns

| Field            | Display name    | Type    |
| ---------------- | --------------- | ------- |
| `postUrl`        | Post URL        | url     |
| `commentUrl`     | Comment URL     | url     |
| `commentText`    | Comment Text    | text    |
| `author`         | Author          | text    |
| `authorName`     | Author Name     | text    |
| `authorAvatar`   | Author Avatar   | url     |
| `authorVerified` | Author Verified | boolean |
| `authorPrivate`  | Author Private  | boolean |
| `posted`         | Posted          | text    |
| `likes`          | Likes           | number  |
| `replies`        | Replies         | number  |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/instagram/comments/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        "https://www.instagram.com/mrbeast/p/DC7Y9vyyg_b/"
      ],
      "maxResults": 100
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/instagram/comments/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          "https://www.instagram.com/mrbeast/p/DC7Y9vyyg_b/"
      ],
      "maxResults": 100
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "postUrl": "https://www.instagram.com/mrbeast/p/DC7Y9vyyg_b/",
      "commentUrl": "https://www.instagram.com/p/DC7Y9vyyg_b/c/18436924429136667",
      "commentText": "Mr bean to mere ko aap se milna hai aur koi aapko milne ki bahut jyada koshish kar raha hai \u263a\ufe0f",
      "author": "shobhittttt28",
      "authorName": "Shobhit_gangwal",
      "authorAvatar": "https://scontent-iad3-2.cdninstagram.com/v/t51.82787-19/612469026_17866060782549366_5738151186471300801_n.jpg?stp=dst-jpg_e0_s150x150_tt6&_nc_cat=103&ig_cache_key=GCKJgSR2uXpuFnk-AMGuGyEaAqJPbmNDAQAB1501500j-ccb7-5&ccb=7-5&_nc_sid=669407&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLnd3dy4xMDgwLkMzIn0%3D&_nc_ohc=LH1Jvzi2-l8Q7kNvwGysmsX&_nc_oc=AdrttzKL5lnYVnFLNYjZ9vyjGT3x0Ba2H4U1y_JnOwrH0pvE1LwvJtCgpANA2PkVlf0&_nc_ad=z-m&_nc_cid=0&_nc_zt=24&_nc_ht=scontent-iad3-2.cdninstagram.com&_nc_gid=-vC8EHwQWonz2TtdxMf9_w&_nc_ss=703ba&oh=00_Af6t1p0OiouVsfobiSNIDWNXc3sggimSBwykYxRxiFOx3g&oe=69FD2E2B",
      "authorVerified": false,
      "authorPrivate": true,
      "posted": "2026-05-03T09:26:14.000Z",
      "likes": 0,
      "replies": 0
    }
  ]
}
```
